using Sepehr.ApiGateway.Partners.Contracts.Flight.Availability.V11.DateRange.Webservice.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Flight.Availability.V11.DateRange.Webservice.ResponseModel;
using SepehrFlightApiSampleClient.BuiltinTypeExtensions;

namespace SepehrFlightApiSampleClient.Availability.WebApi.DateRange.Webservice
{
    public class GetRange3Api
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                $"{url}/api/Partners/Flight/Availability/V11/DateRange/Webservice/GetRange3",
                request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
